tigase.jaxmpp.gwt.client.connectors

## Interface WebSocketCallback

-     public interface WebSocketCallback

  Author:
    andrzej

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onClose(WebSocket ws)` Method called when WebSocket connection is closed
    `void` | `onError(WebSocket ws)` Method called when WebSocket receives error
    `void` | `onMessage(WebSocket ws, String message)` Method called when WebSocket receives message
    `void` | `onOpen(WebSocket ws)` Method called when WebSocket opens connection

- - ### Method Detail

    - #### onClose

          void onClose(WebSocket ws)

      Method called when WebSocket connection is closed

    - #### onError

          void onError(WebSocket ws)

      Method called when WebSocket receives error

    - #### onMessage

          void onMessage(WebSocket ws,
                         String message)

      Method called when WebSocket receives message

    - #### onOpen

          void onOpen(WebSocket ws)

      Method called when WebSocket opens connection

Copyright © 2006–2020 Tigase. All rights reserved.